/*
 * @(#)BurnCopy.java
 *
 * This file is part of webCDwriter - Network CD Writing.
 *
 * Copyright (C) 2001-2004 Jörg P. M. Haeger
 *
 * webCDwriter is free software. See CDcreator.java for details.
 */

/**
 * This class sets the options of a BurnCopy command
 * on the server.
 *
 * @version 20040705
 * @author Jörg P. M. Haeger
 */
public class BurnCopy extends Burn {
	protected void execBurnCommand() {
		execCommand("burnCopy");
	}

	protected void execOptions() {
		if (Options.simulate)
			execCommand("setLaserOff");
		if (Options.blankTOC)
			execCommand("setBlankTOC");
		if (Options.closeCD)
			execCommand("setCloseCD");
		if (Options.copies > 1)
			execCommand("setCopies " + Options.copies);
		execSetProjectInfo();
		if (Options.verify && !Mode.audioCD())
			execCommand("setVerify");
	}
}
